package chapter2;

public class Example21 {
    public static void main(String[] args) {
        // 下面针对求和方法的调用
        int sum1 = add(1, 2);
        int sum2 = add(2, 2, 3);
        double sum3 = add(1.2, 2.3);
        // 下面的代码是打印求和的结果
        System.out.println("sum1 = " + sum1);
        System.out.println("sum2 = " + sum2);
        System.out.println("sum3 = " + sum3);
    }

    // 下面的方法实现了两个整数相加
    public static int add(int a, int b) {
        return a + b;
    }

    // 下面的方法实现了三个整数相加
    public static int add(int a, int b, int c) {
        return a + b + c;
    }

    // 下面的方法实现了两个小数相加
    public static double add(double a, double b) {
        return a + b;
    }
}
